SGI: Computer Graphics

Blender 2.49a

I've already mentioned this in another thread , but apparently nobody noticed.

Blender 2.49a got released more than a month ago. It should work on multi-cpu systems, so please test & use it a lot to justify building blender on IRIX. You can get it from the usual place: http://www.blender.org/download/get-blender/

greetings,
sgefant

PS: Upcoming Blender 2.5 will be using Python 3.1 (and depend on it, unlike previous version). It would be nice if someone could create a nekoware package of python 3.1.
sgefant wrote: http://www.blender.org/download/get-blender/

Tried to get it a few times - firefox failed. wget failed. Is that just me ?
I installed weeks ago, seems to work ok on my O2.
Sitting in a room.....thinkin' shit up. :evil:

:O2: 400MHz R12k - :320: Dual 550MHz PIII - Apple G4 Cube dual 500MHz/GF6200 - Newton Messagepad 2100 - Apple PowerBook 2400c/[email protected] - DECstation5000/133 - Apple Workgroup Server 9150/120 [email protected] - Apple Macintosh IIfx - Apple Macintosh Color Classic (Mystic upgrade) - Sun Cobalt Cube 3 - Tadpole RDI UltraBook IIi - Digital HiNote Ultra II - HP 200LX
Finally got it all, opens and runs on the Fool .
build with GCC or MIPSPRO ?

regards
SGI or die !!!
:O2: :Octane2: :Octane: :Indigo2IMP: :Indigo2IMP: :Indigo: :Indigo: :Indy: :PI: :Crimson: :PWRSeries: :Onyx: :O2000R:
HP proliant DL 585 Quad Opteron dual core 2.5Ghz 16Gb
Good question fzalfa. Either way, I'll try it out as soon as possible.

_________________
:Tezro: :Indigo2: :rx2600:
if build with GCC........damn , we can expect bad performance....

Laurent
SGI or die !!!
:O2: :Octane2: :Octane: :Indigo2IMP: :Indigo2IMP: :Indigo: :Indigo: :Indy: :PI: :Crimson: :PWRSeries: :Onyx: :O2000R:
HP proliant DL 585 Quad Opteron dual core 2.5Ghz 16Gb
in comparisons i did several years ago, MIPSPRO was definitely faster, but compared to not having an executable at all, gcc is acceptable. most of the work in getting the MIPSPRO version working at that time was dealing with the issues that blender was written assuming gcc and GNU tools. which meant you had to keep all of those up to date too. now with nekoware it's easier - you may only have to deal with the lazy data typing gcc lets you get away with.
:Skywriter:

DECUS Member 368596
It's been built with MipsPRO. However, gcc builds don't seem to be much slower.
I must admit that I don't quite get the point of the question.
sgefant wrote: PS: Upcoming Blender 2.5 will be using Python 3.1 (and depend on it, unlike previous version). It would be nice if someone could create a nekoware package of python 3.1.


I tried a quick attempt at a compile and it died with:

Code: Select all

c99 -c -OPT:Olimit=0 -DNDEBUG -O  -I. -IInclude -I./Include -I/usr/nekoware/include  -DPy_BUILD_CORE -o Python/pythonrun.o Python/pythonrun.c
cc-1020 c99: ERROR File = Python/pythonrun.c, Line = 662
The identifier "PATH_MAX" is undefined.

static wchar_t env_home[PATH_MAX+1];
^

1 error detected in the compilation of "Python/pythonrun.c".
gmake: *** [Python/pythonrun.o] Error 2


If you already have patches for it, let me know and I'll put everything together for Nekoware. Otherwise we'll have to wait until someone can port it.
Twitter: @neko_no_ko
IRIX Release 4.0.5 IP12 Version 06151813 System V
Copyright 1987-1992 Silicon Graphics, Inc.
All Rights Reserved.
nekonoko wrote:
sgefant wrote: PS: Upcoming Blender 2.5 will be using Python 3.1 (and depend on it, unlike previous version). It would be nice if someone could create a nekoware package of python 3.1.


I tried a quick attempt at a compile and it died with:

Code: Select all

c99 -c -OPT:Olimit=0 -DNDEBUG -O  -I. -IInclude -I./Include -I/usr/nekoware/include  -DPy_BUILD_CORE -o Python/pythonrun.o Python/pythonrun.c
cc-1020 c99: ERROR File = Python/pythonrun.c, Line = 662
The identifier "PATH_MAX" is undefined.

static wchar_t env_home[PATH_MAX+1];
^

1 error detected in the compilation of "Python/pythonrun.c".
gmake: *** [Python/pythonrun.o] Error 2


If you already have patches for it, let me know and I'll put everything together for Nekoware. Otherwise we'll have to wait until someone can port it.


Sure I will, but I won't be able to take a look at what needs to be done to Python for a couple of days.
sgefant wrote: Sure I will, but I won't be able to take a look at what needs to be done to Python for a couple of days.


Great! There's no rush :)

I got the chance to try Blender 2.49a on my Tezro this morning and it ran with no issues. Thanks much for your work on this.
Twitter: @neko_no_ko
IRIX Release 4.0.5 IP12 Version 06151813 System V
Copyright 1987-1992 Silicon Graphics, Inc.
All Rights Reserved.
hi,

I don't use blender but wanted to thank you for keeping software alive and current for Irix.

Applaud your time and effort

Thanks again.

:D
sgefant wrote: I must admit that I don't quite get the point of the question.


time has shown that mipspro builds are superior.
r-a-c.de
Tried it and it crashes with segmentation fault on blend file using yafray. Does this have something to do with Python cause I still have 2.4.1 or
is it the B.blend file?
I can feel it, my mind is going ....
I just got this installed last night and will try it tonight when I get home.

Thanks!

Fred
Fun! -sets a reminder to download a copy

_________________
MAYA, nut-
:Octane2: :Octane2: Octane 2 R14k 600 V12 4GB, Octane2 R14K 600 V10 1GB ,
:Onyx2: :Onyx2: Onyx2 IR3 4GB Quad R14K 500 DIVO, Onyx2 IR Quad R12K 400 2GB,
:Indigo2: SGI Indigo 2 R8K75 TEAL Extreme 256MB,
:Indigo2IMP: SGI Indigo 2 R10K 195 Solid Impact 256MB, MAX Impact Pending
,
Apple G5 Quad, NV Quadro 4500 + 7800GT, 12GB RAM
Sun Blade 1000 Dual 900 XVR 1000
I downloaded this version last night .. works a treat on my Fuel .. loads in no seconds flat :-)

I have myself the "Dummies Guide to Blender" so I'll be playing soon :-)

Mark

_________________
:Fuel:
how is it?--im trying to do the same thing


thanks
peter